Application: gvSIG desktop - gvSIG bugs #77
Cannot connect to WMTS of IGN
12/15/2011 02:54 PM - José Vicente Higon

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodin

Category: WMTS

Target version: 2.0.0-alpha4

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Linux Add-on resolve build: 2044
Keywords: Proyecto:

Has patch: No Hito:

Add-on name:

Description

It is not possible to connect to this WMTS
http://www.ign.es/wmts/ign-base?service=WMTS&#38;request=GetCapabilities&#38;version=1.0.0
This is the error

Exception in thread "Thread-9" java.lang.NullPointerException
at org.gvsig.remoteclient.wmts. WMTSClient.<init>(WMTSClient.java:57)
at org.gvsig.raster.wmts.io. WMTSConnector.<init>(WMTSConnector.java:52)
at org.gvsig.raster.wmts.io. WMTSProvider.getConnectorFromURL(WMTSProvider.java:339)
at org.gvsig.raster.wmts.io. WMTSServerExplorer.connect(WMTSServerExplorer.java:182)
at org.gvsig.raster.wmts.app.wmtsclient.gui.wizard. WMTSWizard$ConnectThread.run(WMTSWizard.java:178)

History

#1 - 12/15/2011 08:41 PM - Anonymous
- Subject changed from Cannot connect to WMTS from IGN to Cannot connect to WMTS of IGN

#2 - 01/18/2012 10:57 PM - Joaquin del Cerro Murciano
- Assignee set to Ignacio Brodin

#3 - 01/23/2012 06:09 PM - Ignacio Brodin
- Status changed from New to Fixed

- Add-on name deleted (unknown)

- Add-on resolve build set to 2044

[gvsig-desktop 35469]
Updating libRemoteServices to get keywords

Detected a problem with this server. Layers identifiers in the Capabilities don't exists in the server. We can get access to the layers removing WMTS_
prefix.
http://www.ign.es/wmts/ign-base?service=WMTS&#38;request=GetCapabilities&#38;version=1.0.0

#4 - 02/01/2012 02:54 PM - Joaquin del Cerro Murciano
- Target version set to 2.0.0-alpha4

#5 - 11/08/2012 09:55 AM - Abenchara Socorro
- Status changed from Fixed to Closed
